Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158940 - Isn't a PIE
Summary: Isn't a PIE
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: howl
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-26 23:46 UTC by Dave Jones
Modified: 2015-01-04 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-06 15:39:47 UTC


Attachments (Terms of Use)

Description Dave Jones 2005-05-26 23:46:43 UTC
Daemons really should be built as PIE where possible, by passing -fpie -pie
compile flags.

lsexec shows mDNSResponder and nifd aren't built this way yet.

Comment 1 Warren Togami 2006-03-06 15:39:47 UTC
howl is no longer part of any product.


Note You need to log in before you can comment on or make changes to this bug.